/****************************   GroupWindowControl *****************************
* Java-Addressmanager - Frontend for managing personal contacts
* Copyright (c) 2002  - Thomas Ruschival t.ruschival@vivid-md.de
*		 For  license details read LICENSE
* CVS:
* $Author: ruschi $
* $Date: 2004/09/14 15:33:04 $
* $Revision: 1.3 $ 
*				 
*******************************************************************************/



class GroupWindowControl{
	private GroupWindow fenster;

	GroupWindowControl(GroupWindow mywindow){
	    fenster = mywindow;
	}	

	/** Modify a Groupname */
	public void setGroupName(){
		if(! (fenster.tf_GroupName.getText().equals("") || fenster.GroupList.getSelectedValue() == null)){
			((Group)fenster.GroupList.getSelectedValue()).setName(fenster.tf_GroupName.getText());
		}
		AddMan.win.globGroupList.setListData(AddMan.getGroups().toArray());
		fenster.readData(AddMan.getGroups().toArray());
			AddMan.datachanged=true;
	}

	
	/** Add a group to List */
	public void addGroup(){
		if(! fenster.tf_GroupName.getText().equals("")){
			Group newGroup;
		    newGroup = new Group(++(AddMan.MaxGroupid),fenster.tf_GroupName.getText());				
			AddMan.GroupHash.put(new Integer(newGroup.getPKEY()),newGroup);
			AddMan.win.globGroupList.setListData(AddMan.getGroups().toArray());
			fenster.readData(AddMan.getGroups().toArray());
			AddMan.datachanged=true;
		}
	}
	
	/** Remove a Group from List */
	public void remGroup(){
		if(fenster.GroupList.getSelectedValue() != null ){
			((Group)(fenster.GroupList.getSelectedValue())).delete();
			AddMan.GroupHash.remove(new Integer(((Group)fenster.GroupList.getSelectedValue()).getPKEY()));
		}
		AddMan.win.globGroupList.setListData(AddMan.getGroups().toArray());
		fenster.readData(AddMan.getGroups().toArray());
		AddMan.datachanged=true;
	}
}

	
	
